QMT_MAP2JNX(1)

NAME
qmt_map2jnx - convert map to JNX

SYNOPSIS
qmt_map2jnx -q <1..100> -s <411|422|444> -p <0..> -c "copyright notice" -m "BirdsEye" -n "Unknown" -x file1_scale,file2_scale,...,fileN_scale <file1> <file2> ... <fileN> <outputfile>

DESCRIPTION
qmt_map2jnx is a helper utility for qmapshack(1) to convert a map to JNX format.

The projection of the input files must have the same latitude along a pixel row. Mecator and Longitude/Latitude projections match this this property. Transversal Merkator or Lambert projections do not.

To rectify a geotiff map, you can use the gdalwarp command, e.g.

    gdalwarp -t_srs "EPSG:4326" <inputfile> <outputfile>

Scale levels must be pass in same order as level files pointed. Empty and zero values equal to autodetect. We can point only needed levels, like:

    -x 45356,,,75; -x ,,,,75

Calculated levels table can be found:

•   English: http://whiter.brinkster.net/en/JNX.shtml

•   Russian: http://whiter.brinkster.net/JNX.shtml

Most common values for different map scales:

     JNX scale Map scale
     ------------- ---------
     78125-31250 1:1 000 000
     20834-7813 1:500 000
     7813-3125 1:200 000
     3125-2084 1:100 000
     2084-782 1:50 000
     782-32 1:25 000
     32-21 1:10 000
     21-14 1:5000, 1:2000

OPTIONS
-q
    The JPEG quality from 1 to 100. Default is 75

-s
    The chroma subsampling. Default is 411

-p
    The product ID. Default is 0

-c
    The copyright notice. Default is "Unknown"

-m
    The subscription product name. Default is "BirdsEye"

-n
    The map name. Default is "Unknown"

-z
    The z order (drawing order). Default is 25

-x
    Override levels scale. Default: autodetect

SEE ALSO
https://github.com/Maproom/qmapshack/wiki/DocMain

AUTHOR
qmt_map2jnx was written and is currently maintained by Oliver Eichler <oliver.eichler@gmx.de>.